API referenceBroadcasts
POST /broadcasts/{broadcastId}/schedule
Schedule a draft (or move a scheduled broadcast) to scheduledAt; the worker sends it then
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
broadcastId*stringBroadcast id
application/json- body
scheduledAt*stringFormat
date-time{success, broadcast}
application/json- response
success?booleanbroadcast?curl -X POST 'https://example.com/api/v1/broadcasts/string/schedule' \ -H 'Content-Type: application/json' \ -d '{ "scheduledAt": "2019-08-24T14:15:22Z"}'Example Response
{ "success": true, "broadcast": { "id": "string", "status": "string", "scheduledAt": "string" }}POST /broadcasts/{broadcastId}/recipients POST
Add recipients: contactIds, phones (contacts created), recipients [{phone | contactId, components}] or useSegment. Unsubscribed, blocked and duplicate recipients are skipped
POST /broadcasts/{broadcastId}/send POST
Send now (LIVE): the first batch in the request, the rest by the worker within the number's messaging-limit tier